Update an equipment. Note this implementation of patch uses the JSON merge patch proposed standard. This means that any fields included in the patch request will overwrite fields which exist on the target resource. For arrays, this means any array included in the request will replace the array that exists at the specified path, it will not add to the existing array
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Equipment under the Equipment category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/beta/fleet/equipment/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"engineHours": 1234,
"equipmentSerialNumber": "8V8WD530FLN016251",
"externalIds": {},
"id": "494123",
"name": "Equipment-123",
"notes": "These are my equipment notes",
"odometerMeters": 1234,
"tagIds": [
"Sed doloribus.",
"Veniam laudantium officiis cupiditate iusto vel ut.",
"Et perferendis assumenda non."
]
}
'{
"data": {
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"equipmentSerialNumber": "8V8WD530FLN016251",
"externalIds": {},
"id": "494123",
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"name": "Equipment-123",
"notes": "These are my equipment notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique Samsara ID of the Equipment. This is automatically generated when the Equipment object is created. It cannot be changed.
List of attributes associated with the entity
Show child attributes
When you provide a manual engine hours override, Samsara will begin updating a equipment's engine hours used since this override was set.
1234
The serial number of the equipment.
"8V8WD530FLN016251"
A map of external ids
Show child attributes
The unique Samsara ID of the Equipment. This is automatically generated when the Equipment object is created. It cannot be changed.
"494123"
The human-readable name of the Equipment. This is set by a fleet administrator and will appear in both Samsara’s cloud dashboard as well as the Samsara Driver mobile app. By default, this name is the serial number of the Samsara Asset Gateway. It can be set or updated through the Samsara Dashboard or through the API at any time.
"Equipment-123"
These are generic notes about the Equipment. Empty by default. Can be set or updated through the Samsara Dashboard or the API at any time.
255"These are my equipment notes"
When you provide a manual odometer override, Samsara will begin updating a equipment's odometer using GPS distance traveled since this override was set.
1234
An array of IDs of tags to associate with this equipment. If your access to the API is scoped by one or more tags, this field is required to pass in.
[
"Sed doloribus.",
"Veniam laudantium officiis cupiditate iusto vel ut.",
"Et perferendis assumenda non."
]
OK response.
The equipment object.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/beta/fleet/equipment/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"engineHours": 1234,
"equipmentSerialNumber": "8V8WD530FLN016251",
"externalIds": {},
"id": "494123",
"name": "Equipment-123",
"notes": "These are my equipment notes",
"odometerMeters": 1234,
"tagIds": [
"Sed doloribus.",
"Veniam laudantium officiis cupiditate iusto vel ut.",
"Et perferendis assumenda non."
]
}
'{
"data": {
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"equipmentSerialNumber": "8V8WD530FLN016251",
"externalIds": {},
"id": "494123",
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"name": "Equipment-123",
"notes": "These are my equipment notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}